FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum » FUDforum Installation Issues » Forum Upgrade issues
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
Forum Upgrade issues [message #5293] Mon, 26 August 2002 17:57 Go to next message
dangib is currently offline  dangib   United States
Messages: 29
Registered: February 2002
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
I'm attempting to upgrade fud from version 2.0.2 to the new version (2.3) and i'm getting some errors when running the upgrade script. I went through the following steps

1.moved upgrade.php to my forum WWWROOT
2.set the forum and data directorys to be writable chmod a+w
3.Ran the upgrade.php in my web browser

---------and i get the following output:---------------

Beginning the file upgrade process
File Upgrade Complete
Any changed files were backed up to: "/usr/local/www/forum/errors/.backup/"

Warning: Failed opening '/usr/local/www/forum/include/theme/default/db.inc' for inclusion (include_path='.:/usr/local/lib/php') in /usr/local/www/forum/include/core.inc on line 54

Warning: Access denied for user: 'root@localhost' (Using password: NO) in /usr/local/www/data/forum/upgrade.php on line 427

Warning: MySQL Connection Failed: Access denied for user: 'root@localhost' (Using password: NO) in /usr/local/www/data/forum/upgrade.php on line 427

Warning: MySQL: A link to the server could not be established in /usr/local/www/data/forum/upgrade.php on line 427

Warning: Access denied for user: 'root@localhost' (Using password: NO) in /usr/local/www/data/forum/upgrade.php on line 428

Warning: MySQL Connection Failed: Access denied for user: 'root@localhost' (Using password: NO) in /usr/local/www/data/forum/upgrade.php on line 428

Warning: MySQL: A link to the server could not be established in /usr/local/www/data/forum/upgrade.php on line 428
FATAL ERROR: your forum's MySQL account does not have permissions to create new MySQL tables
Enable this functionality and restart the script.


---------------------------------------------------------

This output would lead me to believe that it's trying to access my sql account with the wrong user name or password. I checked my SQL end of things and the FUD user has the rights to access tables so that's not it.

And not only did the update fail it has rendered the previous version useless (i assume the code transfered fine since i get runtime errors calling new tables) Any help on this urgent downtime issue would be great.
Re: Forum Upgrade issues [message #5295 is a reply to message #5293] Mon, 26 August 2002 18:06 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user

Warning: Failed opening '/usr/local/www/forum/include/theme/default/db.inc'


This is the cause of the problem.

It is quite likely that running the upgrade script the 2nd time will resolve the problem.


FUDforum Core Developer
Re: Forum Upgrade issues [message #5296 is a reply to message #5293] Mon, 26 August 2002 18:16 Go to previous messageGo to next message
dangib is currently offline  dangib   United States
Messages: 29
Registered: February 2002
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
hmm that file didn't exist in that location, I have a db.inc in
'/usr/local/www/forum/include/db.inc' but not in ./include/themes/default/

i created that directory and moved db.inc and err.inc there but i am still getting the sql error messages.
Re: Forum Upgrade issues [message #5298 is a reply to message #5296] Mon, 26 August 2002 18:22 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Copying files manually, is not a good idea, it will only cause problems in the long run.
Give me a few minutes to look over the code and I'll have a fix or suggestions on how to resolve this problem.


FUDforum Core Developer
Re: Forum Upgrade issues [message #5299 is a reply to message #5298] Mon, 26 August 2002 18:30 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Try the attached upgrade script, see how it goes.

FUDforum Core Developer

[Updated on: Mon, 26 August 2002 18:33]

Report message to a moderator

Re: Forum Upgrade issues [message #5300 is a reply to message #5293] Mon, 26 August 2002 18:53 Go to previous messageGo to next message
dangib is currently offline  dangib   United States
Messages: 29
Registered: February 2002
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
That gives me a parse error:

Parse error: parse error in /usr/local/www/data/forum/upgrade.php on line 425
Re: Forum Upgrade issues [message #5301 is a reply to message #5300] Mon, 26 August 2002 19:06 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Whoops, sorry about that. Attached is the corrected version.

FUDforum Core Developer
Re: Forum Upgrade issues [message #5302 is a reply to message #5301] Mon, 26 August 2002 19:21 Go to previous messageGo to next message
dangib is currently offline  dangib   United States
Messages: 29
Registered: February 2002
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
Ok it gets a bit further:

Beginning the file upgrade process
File Upgrade Complete
Any changed files were backed up to: "/usr/local/www/forum/errors/.backup/"

Beginning SQL Upgrades

Fatal error: Call to undefined function: get_fud_table_list() in /usr/local/www/data/forum/upgrade.php on line 456

Re: Forum Upgrade issues [message #5308 is a reply to message #5293] Tue, 27 August 2002 00:39 Go to previous messageGo to next message
dangib is currently offline  dangib   United States
Messages: 29
Registered: February 2002
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
where is it calling that get_fud_table_list() from? It's not in upgrade.php
Re: Forum Upgrade issues [message #5322 is a reply to message #5293] Tue, 27 August 2002 19:39 Go to previous messageGo to next message
dangib is currently offline  dangib   United States
Messages: 29
Registered: February 2002
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
is there a way to install the forum from the full bianarys and not loose the data in my existing tables? I'd like to keep the old messages if possible.

Re: Forum Upgrade issues [message #5327 is a reply to message #5322] Tue, 27 August 2002 21:03 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
The idea of the upgrade script is that you retain all existing data when doing an upgrade.
The problem you've come across should be resolved in the attached upgrade script.


FUDforum Core Developer
Re: Forum Upgrade issues [message #5344 is a reply to message #5293] Wed, 28 August 2002 09:55 Go to previous messageGo to next message
dangib is currently offline  dangib   United States
Messages: 29
Registered: February 2002
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
That gives me the same error, an undefined call to get_fud_table_list():

Fatal error: Call to undefined function: get_fud_table_list() in /usr/local/www/data/forum/upgrade.php on line 456
Re: Forum Upgrade issues [message #5345 is a reply to message #5344] Wed, 28 August 2002 10:09 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
I think you may be running the wrong script, since in mine there is absolutely nothing on line #456.

FUDforum Core Developer
Re: Forum Upgrade issues [message #5362 is a reply to message #5293] Thu, 29 August 2002 08:41 Go to previous messageGo to next message
dangib is currently offline  dangib   United States
Messages: 29
Registered: February 2002
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
Whoops it's an error on 472, regardless it's coming from the same method call.

[Updated on: Thu, 29 August 2002 08:41]

Report message to a moderator

Re: Forum Upgrade issues [message #5363 is a reply to message #5362] Thu, 29 August 2002 08:55 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Most unusual, I'll send you the upcomming upgrade script that will be part of 2.3.1 release, it should address the problem.

FUDforum Core Developer
Re: Forum Upgrade issues [message #5372 is a reply to message #5293] Thu, 29 August 2002 19:22 Go to previous messageGo to next message
dangib is currently offline  dangib   United States
Messages: 29
Registered: February 2002
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
Ok well I needed the forum up for my development team. I reinstalled the standalone bianaries in a diffrent database, but i'd like to move the old categories from the previous version if possible?
Re: Forum Upgrade issues [message #5377 is a reply to message #5372] Thu, 29 August 2002 22:41 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
You can use the datadump & dataimport feature to accomplish this task.

FUDforum Core Developer
Re: Forum Upgrade issues [message #5419 is a reply to message #5293] Mon, 02 September 2002 16:54 Go to previous messageGo to next message
sdefranc is currently offline  sdefranc   Australia
Messages: 28
Registered: May 2002
Location: Australia
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user

FYI, I just attempted an upgrade from 1.2.8 -> 2.0.2 -> 2.3.0. I'm using the FUDforum2_oldupgrade_20020613.tar.bz2 and FUDforum2_upgrade_20020826.tar.bz2 upgrade scripts.

The first part went ok, seemed to have a running 2.0.2 with no problems.

However running the 2.3.0 upgrade.php script totally hosed the forums. First I got the error message about get_fud_table_list() function not existing (it is called from the upgrade.php file, but I cant find the function defined anywhere).

Rerunning the upgrade.php script gives the following error:

Warning: Failed opening '/web/toymods.org.au/html/msgboard/include/theme/default/db.inc' 
for inclusion (include_path='.:/usr/share/pear')
in /web/toymods.org.au/html/msgboard/include/core.inc on line 54
FATAL ERROR: your forum's MySQL account does not have permissions to create new MySQL tables
Enable this functionality and restart the script.


Now include/theme/ doesnt even exist so I'm not sure where that one's coming from. Plus havent seen /usr/share/pear before either :-/ And the account I'm use most certainly does have permissions to create new tables Sad

Trying to connect to the forums now gives the following error:

--------------------------------------
Error in function/script: db.inc
has caused the following error: query failed: %( UPDATE 
fud_users SET last_visit=__REQUEST_TIMESTAMP__ WHERE id=1 )% 
because %( Unknown column '__REQUEST_TIMESTAMP__' in 'field 
list' )%
while processing script name: /web/toymods.org.au/html/msgboard/index.php
the error occured at: 02/09/2002 20:56:30 GMT
Browser: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)
User Ip: 211.28.68.2
Script Accessed: /web/toymods.org.au/html/msgboard/index.php

Query Failed: UPDATE fud_users SET last_visit=__REQUEST_TIMESTAMP__ WHERE id=1
Reason: Unknown column '__REQUEST_TIMESTAMP__' in 'field list'
From: /web/toymods.org.au/html/msgboard/index.php
Server Version: 3.23.49


Anyway I'm going to revert back to 1.2.8 and do the 2.0.2 upgrade again and see how I go. Hope this info helps you in figuring out the problem.

rgrds
sam

[Updated on: Mon, 02 September 2002 17:43]

Report message to a moderator

Re: Forum Upgrade issues [message #5435 is a reply to message #5419] Tue, 03 September 2002 09:26 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Wait until 2.3.1 and then try again. This release will have a new upgrade script that I've tested against virtually all versions of FUDforum starting 2.0.2

FUDforum Core Developer
Re: Forum Upgrade issues [message #5437 is a reply to message #5293] Tue, 03 September 2002 10:45 Go to previous messageGo to next message
sdefranc is currently offline  sdefranc   Australia
Messages: 28
Registered: May 2002
Location: Australia
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user

Thanks! Heard nothing but good responses from our users about 2.0.2, so looking forward to 2.3.1.

rgrds
sam
http://www.toymods.org.au/msgboard
Re: Forum Upgrade issues [message #5439 is a reply to message #5437] Tue, 03 September 2002 10:51 Go to previous message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
That is good to hear Smile.

I expect 2.3.1 to be released on Friday, so your wait should not be long.


FUDforum Core Developer
Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: is there a way to install fudforum with a ms sql server database?
Next Topic: upgrade script for postgresql users?
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Thu Dec 14 10:21:08 EST 2017

Total time taken to generate the page: 0.00953 seconds